%
% anyremote configuration file for Noatun management.
% prerequisites: KDE, Noatun
% playlist should be already created !
%

% STATUS stable
% XTEST no
% SOUND app
% ENV no

GuiAppName=Noatun
GuiAppBinary=noatun
GuiAppRun=echo 'A=`dcop 2> /dev/null|grep noatun`; if [ "x$A" == "x" ]; then echo NOK; else echo OK; fi'|bash -f -s
GuiAppIcon=noatun.png
GuiAppType=Application
GuiAppProtocols=AT
GuiAppDesc=The super-modular media player for KDE.
GuiAppVersion=echo 'V=`noatun -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`; if [ "x$V" == "x3" ]; then echo OK; else echo NOK; fi'|bash -f -s

% 1 - vol-
% 2 - mute
% 3 - vol+
% 4 - rewind
% 5 - play
% 6 - fast forward
% 7 - previous
% 8 - stop
% 9 - next
% 0 - pause
% # - quit from noatun

[Protocol]=AT

Answer=Make(disconnect);
Cancel=Exec(dcop noatun MainApplication-Interface quit);

(Init)=Include($(CfgDir)/Utils/aliases-at.cfg);\
	Make(var,TwoWayComm,by_value,false);\
	Make(var,Device,by_value,/dev/rfcomm0);\
	Exec(echo 'V=`amarok -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`; if [ "x$V" == "x4" ]; then $(CfgDir)/Utils/message.sh "ERROR: this configuration file is for KDE3"; fi'|bash -f -s);

(Connect)   =Exec(noatun)
(Disconnect)=Exec(dcop noatun Noatun playpause;kdialog --msgbox "Disconnected ... Set to pause")


1=Exec(dcop noatun Noatun volumeDown)
2=Exec(dcop noatun Noatun toggleMute)
3=Exec(dcop noatun Noatun volumeUp)

4=Exec(echo 'P=`dcop noatun Noatun position`;N=`expr $P - 5000`;dcop noatun Noatun skipTo $N'|bash -f -s)
5=Exec(dcop noatun Noatun play)
6=Exec(echo 'P=`dcop noatun Noatun position`;N=`expr $P + 5000`;dcop noatun Noatun skipTo $N'|bash -f -s)

7=Exec(dcop noatun Noatun back)
8=Exec(dcop noatun Noatun stop)
9=Exec(dcop noatun Noatun forward)

* *=Exec(echo 'F="$HOME/.anyRemote/anyrem.hlp";echo "1 - Vol-   2 - Mute   3 - Vol+" > $F;echo "4 - Rew    5 - Play   6 - FF" >> $F;echo "7 - Prew   8 - Stop   9 - Next" >> $F;echo "** - Help  0 - Pause  # - Quit" >> $F;echo "*# - Run/Quit" >> $F;kdialog -passivepopup "`cat $F`" 7' |bash -f -s)
* #=Exec(echo 'P=`dcop|grep noatun`; if [ "x$P" == "x" ]; then noatun& else dcop noatun MainApplication-Interface quit; fi' |bash -f -s)
0=Exec(dcop noatun Noatun playpause)
#=Exec(dcop noatun MainApplication-Interface quit)

[End]
